<ruleset name="Google APIs">
  <rule from="^http://www\.google-analytics\.com"
          to="https://ssl.google-analytics.com"/>
  <rule from="^http://ajax\.googleapis\.com"
          to="https://ajax.googleapis.com"/>
  <rule from="^http://fonts\.googleapis\.com"
           to="https://fonts.googleapis.com"/>
  <rule from="^http://themes\.googleusercontent\.com"
          to="https://themes.googleusercontent.com"/>

<!-- There is an interesting question about whether we should
     append &strip=1 to all cache URLs.  This causes them to load without
     images and styles, which is more secure but can look worse.  Without
     &strip=1, the images and styles from the cached pages still load from
     the original, typically unencrypted, page.  With &strip=1, the
     cached page will be text-only and will come exclusively from Google's
     HTTPS server. -->


  <rule from="^http://webcache\.googleusercontent\.com"
          to="https://webcache.googleusercontent.com"/>
  <rule from="^http://api\.recaptcha\.net"
          to="https://api-secure.recaptcha.net"/>
  <rule from="^http://www\.google\.com/recaptcha/"
          to="https://www.google.com/recaptcha/"/>
  <rule from="^http://www\.google\.com/calendar/embed"
          to="https://www.google.com/calendar/embed"/>
  <rule from="^http://www\.google\.com/uds" 
          to="https://www.google.com/uds"/>
  <rule from="^http://www\.google\.com/jsapi"
          to="https://www.google.com/jsapi"/>
  <rule from="^http://www\.google\.com/buzz"
          to="https://www.google.com/buzz"/>
</ruleset>

